Subject: bug#64906: closed (Re: bug#64906: 'guix shell -D po4a' fails (texlive-font-maps.drv build failure))

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 29 Jul 2023 00:01:03 +0000

Your bug report

#64906: 'guix shell -D po4a' fails (texlive-font-maps.drv build failure)

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
64906: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=64906
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#64906: 'guix shell -D po4a' fails (texlive-font-maps.drv build failure)
From: Nicolas Goaziou <[email-masked]>
To: Maxim Cournoyer <[email-masked]>
Cc: [email-masked]
Date: Sat, 29 Jul 2023 02:00:30 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Maxim Cournoyer <[email-masked]> writes:

> While attempting to hack on po4a I've found 'guix shell -D po4a' would
> fail like so:
>
> --8<---------------cut here---------------start------------->8---
> Transcript written on: {/tmp/texlive/share/texmf-dist}/../texmf-var/web2c/updmap.log
> updmap: updating ls-R files.
> `/gnu/store/rlbyrr5rnsmfi0aani1ibkrlszp7xiz9-texlive-font-maps/share/texmf-dist/fonts/map/dvipdfmx/updmap/kanjix.map' -> `/tmp/texlive/share/texmf-dist/fonts/map/dvipdfmx/updmap/kanjix.map'
> Backtrace:
>           16 (primitive-load "/gnu/store/b76nnrqi8g418ibr8i2h113wz2z?")
> In ice-9/eval.scm:
>     619:8 15 (_ #(#(#(#(#<directory (guile-user) 7ffff77?> ?) ?) ?) ?))
> In ice-9/ftw.scm:
>    475:33 14 (loop _ _ #(25 307354922 16877 1 999 30000 0 20 # # # ?) ?)
> In srfi/srfi-1.scm:
>    460:18 13 (fold #<procedure 7ffff50b7660 at ice-9/ftw.scm:475:38?> ?)
> In unknown file:
>           12 (_ #<procedure 7ffff4b98990 at ice-9/ftw.scm:477:44 ()> ?)
> In ice-9/ftw.scm:
>    475:33 11 (loop _ _ #(25 307354925 16877 1 999 30000 0 6 # # # ?) ?)
> In srfi/srfi-1.scm:
>    460:18 10 (fold #<procedure 7ffff50b72a0 at ice-9/ftw.scm:475:38?> ?)
> In unknown file:
>            9 (_ #<procedure 7ffff4b98510 at ice-9/ftw.scm:477:44 ()> ?)
> In ice-9/ftw.scm:
>    475:33  8 (loop _ _ #(25 307354926 16877 1 999 30000 0 38 # # # ?) ?)
> In srfi/srfi-1.scm:
>    460:18  7 (fold #<procedure 7ffff50cfdc0 at ice-9/ftw.scm:475:38?> ?)
> In unknown file:
>            6 (_ #<procedure 7ffff4b5cf00 at ice-9/ftw.scm:477:44 ()> ?)
> In ice-9/ftw.scm:
>    475:33  5 (loop _ _ #(25 307354931 16877 1 999 30000 0 12 # # # ?) ?)
> In srfi/srfi-1.scm:
>    460:18  4 (fold #<procedure 7ffff50cf9a0 at ice-9/ftw.scm:475:38?> ?)
> In unknown file:
>            3 (_ #<procedure 7ffff4b5c900 at ice-9/ftw.scm:477:44 ()> ?)
> In ice-9/ftw.scm:
>    505:39  2 (loop _ _ #(25 307354932 16877 1 999 30000 0 20 # # # ?) ?)
> In guix/build/utils.scm:
>    454:27  1 (_ "/gnu/store/rlbyrr5rnsmfi0aani1ibkrlszp7xiz9-texliv?" ?)
> In unknown file:
>            0 (copy-file "/gnu/store/rlbyrr5rnsmfi0aani1ibkrlszp7xiz?" ?)
>
> ERROR: In procedure copy-file:
> In procedure copy-file: Permission denied
> --8<---------------cut here---------------end--------------->8---
>
> I'm not sure if or how this problem is related to the other TexLive
> issues recently discovered.

This should be fixed in commit e43cbeafd1b632f39b08b3644af5230d5350a656.

Regards,
-- 
Nicolas Goaziou

Subject: 'guix shell -D po4a' fails (texlive-font-maps.drv build failure)
From: Maxim Cournoyer <[email-masked]>
To: bug-guix <[email-masked]>
Date: Thu, 27 Jul 2023 16:51:54 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

While attempting to hack on po4a I've found 'guix shell -D po4a' would
fail like so:

--8<---------------cut here---------------start------------->8---
Transcript written on: {/tmp/texlive/share/texmf-dist}/../texmf-var/web2c/updmap.log
updmap: updating ls-R files.
`/gnu/store/rlbyrr5rnsmfi0aani1ibkrlszp7xiz9-texlive-font-maps/share/texmf-dist/fonts/map/dvipdfmx/updmap/kanjix.map' -> `/tmp/texlive/share/texmf-dist/fonts/map/dvipdfmx/updmap/kanjix.map'
Backtrace:
          16 (primitive-load "/gnu/store/b76nnrqi8g418ibr8i2h113wz2z?")
In ice-9/eval.scm:
    619:8 15 (_ #(#(#(#(#<directory (guile-user) 7ffff77?> ?) ?) ?) ?))
In ice-9/ftw.scm:
   475:33 14 (loop _ _ #(25 307354922 16877 1 999 30000 0 20 # # # ?) ?)
In srfi/srfi-1.scm:
   460:18 13 (fold #<procedure 7ffff50b7660 at ice-9/ftw.scm:475:38?> ?)
In unknown file:
          12 (_ #<procedure 7ffff4b98990 at ice-9/ftw.scm:477:44 ()> ?)
In ice-9/ftw.scm:
   475:33 11 (loop _ _ #(25 307354925 16877 1 999 30000 0 6 # # # ?) ?)
In srfi/srfi-1.scm:
   460:18 10 (fold #<procedure 7ffff50b72a0 at ice-9/ftw.scm:475:38?> ?)
In unknown file:
           9 (_ #<procedure 7ffff4b98510 at ice-9/ftw.scm:477:44 ()> ?)
In ice-9/ftw.scm:
   475:33  8 (loop _ _ #(25 307354926 16877 1 999 30000 0 38 # # # ?) ?)
In srfi/srfi-1.scm:
   460:18  7 (fold #<procedure 7ffff50cfdc0 at ice-9/ftw.scm:475:38?> ?)
In unknown file:
           6 (_ #<procedure 7ffff4b5cf00 at ice-9/ftw.scm:477:44 ()> ?)
In ice-9/ftw.scm:
   475:33  5 (loop _ _ #(25 307354931 16877 1 999 30000 0 12 # # # ?) ?)
In srfi/srfi-1.scm:
   460:18  4 (fold #<procedure 7ffff50cf9a0 at ice-9/ftw.scm:475:38?> ?)
In unknown file:
           3 (_ #<procedure 7ffff4b5c900 at ice-9/ftw.scm:477:44 ()> ?)
In ice-9/ftw.scm:
   505:39  2 (loop _ _ #(25 307354932 16877 1 999 30000 0 20 # # # ?) ?)
In guix/build/utils.scm:
   454:27  1 (_ "/gnu/store/rlbyrr5rnsmfi0aani1ibkrlszp7xiz9-texliv?" ?)
In unknown file:
           0 (copy-file "/gnu/store/rlbyrr5rnsmfi0aani1ibkrlszp7xiz?" ?)

ERROR: In procedure copy-file:
In procedure copy-file: Permission denied
--8<---------------cut here---------------end--------------->8---

I'm not sure if or how this problem is related to the other TexLive
issues recently discovered.

-- 
Thanks,
Maxim